let keyMapper = new KeyMapper();



QUnit.test( "getNormalText", function( assert ) {
	assert.equal(keyMapper.getNormalText("Backquote"), "`", "getNormalText - `");
	assert.equal(keyMapper.getNormalText("Slash"), "/", "getNormalText - /");

	assert.equal(keyMapper.getNormalText("KeyQ"), "q", "getNormalText - q");
	assert.equal(keyMapper.getNormalText("KeyM"), "m", "getNormalText - m");

	assert.equal(keyMapper.getNormalText("KeyQ"), "ㅂ", "getNormalText - ㅂ");
	assert.equal(keyMapper.getNormalText("KeyM"), "ㅡ", "getNormalText - ㅡ");
});

QUnit.test( "getShiftText", function( assert ) {
	assert.equal(keyMapper.getShiftText("Backquote"), "~", "getShiftText - ~");
	assert.equal(keyMapper.getShiftText("Slash"), "?", "getShiftText - ?");

	assert.equal(keyMapper.getShiftText("KeyQ"), "Q", "getShiftText - Q");
	assert.equal(keyMapper.getShiftText("KeyM"), "M", "getShiftText - M");

	assert.equal(keyMapper.getShiftText("KeyQ"), "ㅃ", "getShiftText - ㅃ");
	assert.equal(keyMapper.getShiftText("KeyM"), "ㅡ", "getShiftText - ㅡ");
});

QUnit.test( "getShiftHandSide", function( assert ) {
	assert.equal(keyMapper.getShiftHandSide("Backquote"), KeyTextData.RIGHT_HAND, "getShiftHandSide - `");
	assert.equal(keyMapper.getShiftHandSide("Slash"), KeyTextData.LEFT_HAND, "getShiftHandSide - /");

	assert.equal(keyMapper.getShiftHandSide("Space"), KeyTextData.BOTH_HAND, "getShiftHandSide - space");

	assert.equal(keyMapper.getShiftHandSide("KeyQ"), KeyTextData.RIGHT_HAND, "getShiftHandSide - q");
	assert.equal(keyMapper.getShiftHandSide("KeyM"), KeyTextData.LEFT_HAND, "getShiftHandSide - m");

	assert.equal(keyMapper.getShiftHandSide("KeyQ"), KeyTextData.RIGHT_HAND, "getShiftHandSide - q");
	assert.equal(keyMapper.getShiftHandSide("KeyM"), KeyTextData.LEFT_HAND, "getShiftHandSide - m");
});



QUnit.test( "getKeyIDOfText", function( assert ) {
	assert.equal(keyMapper.getKeyIDOfText("`"), "Backquote", "getKeyIDOfText - `");
	assert.equal(keyMapper.getKeyIDOfText("~"), "Backquote", "getKeyIDOfText - ~");
	assert.equal(keyMapper.getKeyIDOfText("/"), "Slash", "getKeyIDOfText - /");
	assert.equal(keyMapper.getKeyIDOfText("?"), "Slash", "getKeyIDOfText - ?");

	assert.equal(keyMapper.getKeyIDOfText("q"), "KeyQ", "getKeyIDOfText - q");
	assert.equal(keyMapper.getKeyIDOfText("Q"), "KeyQ", "getKeyIDOfText - Q");
	assert.equal(keyMapper.getKeyIDOfText("m"), "KeyM", "getKeyIDOfText - m");
	assert.equal(keyMapper.getKeyIDOfText("M"), "KeyM", "getKeyIDOfText - M");

	assert.equal(keyMapper.getKeyIDOfText("ㅂ"), "KeyQ", "getKeyIDOfText - ㅂ");
	assert.equal(keyMapper.getKeyIDOfText("ㅃ"), "KeyQ", "getKeyIDOfText - ㅃ");
	assert.equal(keyMapper.getKeyIDOfText("ㅡ"), "KeyM", "getKeyIDOfText - ㅡ");

	assert.equal(keyMapper.getKeyIDOfText("Backspace"), "Backspace", "getKeyIDOfText - ㅂ");
});

QUnit.test( "getShiftTypeOfText", function( assert ) {
	assert.equal(keyMapper.getShiftTypeOfText("`"), KeyTextData.RIGHT_HAND, "getShiftHandSide - `");
	assert.equal(keyMapper.getShiftTypeOfText("/"), KeyTextData.LEFT_HAND, "getShiftHandSide - /");

	assert.equal(keyMapper.getShiftTypeOfText("q"), KeyTextData.RIGHT_HAND, "getShiftHandSide - q");
	assert.equal(keyMapper.getShiftTypeOfText("m"), KeyTextData.LEFT_HAND, "getShiftHandSide - m");

	assert.equal(keyMapper.getShiftTypeOfText("ㅂ"), KeyTextData.RIGHT_HAND, "getShiftHandSide - ㅂ");
	assert.equal(keyMapper.getShiftTypeOfText("ㅃ"), KeyTextData.RIGHT_HAND, "getShiftHandSide - ㅃ");
	assert.equal(keyMapper.getShiftTypeOfText("ㅡ"), KeyTextData.LEFT_HAND, "getShiftHandSide - ㅡ");
});
